Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[portage] net-zope/zope-fixers failed (en cours)
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index French
View previous topic :: View next topic  
Author Message
noobux
Tux's lil' helper
Tux's lil' helper


Joined: 14 May 2011
Posts: 148

PostPosted: Thu Jul 14, 2011 1:39 pm    Post subject: [portage] net-zope/zope-fixers failed (en cours) Reply with quote

Bonjour à vous tous !
Je tente de compiler kde mais j'ai un problème : je bloque sur la phase emerge net-zope/zope-fixers-1.0, malgré de nombreux test pour palier ce problème (qui vient de python) j'ai fais un emerge -v system vérifié gcc tenté eselect python set 2.7 mais ça bug toujours ... Voilà les logs ça sera plus parlant :

build.log ===========> http://pastebin.com/DjCzc0YL
emerge --info ==========> http://paste.pocoo.org/show/438552
emerge -pqv ============> http://paste.pocoo.org/show/438555

on voit dans le build.log qu'il n'arrive pas à importer le module python setuptools, manuellement, (python en ligne de commande) un import setuptools ne marche pas avec python 3.2 maiss fonctionne avec python 2.7, j'ai donc tenté un eselect python set 1 (2.7) puis emerge zope-fixers mais pareil ! j'ai aussi essayé de rajouter l'use python2 dans le package.use (pour net-zope/zope-fixers).

Merci d'avance je suis vraiment à cour d'idée là ^^.
Back to top
View user's profile Send private message
_Seth_
Guru
Guru


Joined: 15 Sep 2004
Posts: 539
Location: encore paumé dans un labo ;)

PostPosted: Thu Jul 21, 2011 10:49 pm    Post subject: Reply with quote

Salut,
Est ce que tu as bien fait un update-env et un source /etc/profile après ton passage de python-3.2 à 2.7 ?
_________________
no tears to cry, no feelings left
the species has amused itself to death
amused itself to death
Back to top
View user's profile Send private message
Poussin
l33t
l33t


Joined: 08 Jun 2007
Posts: 659
Location: Liège

PostPosted: Thu Jul 21, 2011 11:23 pm    Post subject: Reply with quote

Tout changement de version de python via eselect demande la recompilation des modules via python-updater
Back to top
View user's profile Send private message
guilc
Bodhisattva
Bodhisattva


Joined: 15 Nov 2003
Posts: 3326
Location: Paris - France

PostPosted: Fri Jul 22, 2011 7:52 am    Post subject: Reply with quote

Poussin wrote:
Tout changement de version de python via eselect demande la recompilation des modules via python-updater

Heu... non.

Si tu as 2 versions de python installées, emerge va automatiquement installer les modules pour les 2 versions. Du moins en ce qui concerne les modules python compatibles entre les 2 versions (c'est précisé dans les ebuilds).
A titre d'illustration :
Code:
# qlist argparse
/usr/share/doc/argparse-1.2.1/README.txt.bz2
/usr/lib64/python3.2/site-packages/argparse-1.2.1-py3.2.egg-info/PKG-INFO
/usr/lib64/python3.2/site-packages/argparse-1.2.1-py3.2.egg-info/top_level.txt
/usr/lib64/python3.2/site-packages/argparse-1.2.1-py3.2.egg-info/SOURCES.txt
/usr/lib64/python3.2/site-packages/argparse-1.2.1-py3.2.egg-info/dependency_links.txt
/usr/lib64/python3.2/site-packages/argparse.py
/usr/lib64/python2.7/site-packages/argparse.py
/usr/lib64/python2.7/site-packages/argparse-1.2.1-py2.7.egg-info/PKG-INFO
/usr/lib64/python2.7/site-packages/argparse-1.2.1-py2.7.egg-info/top_level.txt
/usr/lib64/python2.7/site-packages/argparse-1.2.1-py2.7.egg-info/SOURCES.txt
/usr/lib64/python2.7/site-packages/argparse-1.2.1-py2.7.egg-info/dependency_links.txt


Le seul moment ou python-updater est utile, c'est quand tu mets à jours python (exemple, tu avais 2.6 et passes à 2.7, ou encore tu avais 3.1 et tu passes à 3.2).
Mais un simple eselect est effectif immédiatement, sans recharger l'environnement (il ne fait que changer des liens). MAIS il faut bien sûr que python soit installé correctement avant bien sûr !


Ceci étant dit, dans le cas présent, un python-updater semble effectivement nécessaire. Il y a sans doute eu une MAJ de python non-suivie d'un python-updater vu la "bizarrerie" de setuptool....
_________________
Merci de respecter les règles du forum.

Mon site perso : https://www.xwing.info
Mon PORTDIR_OVERLAY : https://gentoo.xwing.info ou layman -a xwing
Back to top
View user's profile Send private message
Poussin
l33t
l33t


Joined: 08 Jun 2007
Posts: 659
Location: Liège

PostPosted: Fri Jul 22, 2011 9:59 am    Post subject: Reply with quote

:roll: oups.... sorry (je me coucherai peut-etre moins con)
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index French All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum